Resource

Alert State Timeline

Change state of the alerts (Created to Acknowledged for example)

The Alert State Timeline Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Status200 Project in which this object belongs

  • Name
    alert
    Type
    Alert
    Description

    Relation to Alert in which this resource belongs

  • Name
    alertId
    Type
    Object IDRequired
    Description

    Relation to Alert ID in which this resource belongs

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

  • Name
    alertState
    Type
    Alert State
    Description

    Alert State Relation. Which alert state does this alert change to?

  • Name
    alertStateId
    Type
    Object IDRequired
    Description

    Alert State ID Relation. Which alert state does this alert change to?

  • Name
    stateChangeLog
    Type
    JSON
    Description

  • Name
    rootCause
    Type
    Markdown
    Description

    What is the root cause of this status change?

  • Name
    endsAt
    Type
    Date
    Description

    When did this status change end?

  • Name
    startsAt
    Type
    Date
    Description

    When did this status change?

GETorPOST/api/alert-state-timeline/get-list

List

This endpoint allows you to retrieve a paginated list of all your Alert State Timeline. By default, a maximum of ten Alert State Timeline are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/alert-state-timeline/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "alertId": true,
    "alertStateId": true,
    "projectId": true,
    "alert": true,
    "alertState": true
  },
  "query": {},
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "376cfdd3-28fe-11f1-b591-3fdcef396aba",
      "alertId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "alertStateId": "d4e5f6a7-b8c9-0123-def0-234567890123",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "alert": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "alertState": "d4e5f6a7-b8c9-0123-def0-234567890123"
    },
    {
      "_id": "376d24e0-28fe-11f1-b591-3fdcef396aba",
      "alertId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "alertStateId": "d4e5f6a7-b8c9-0123-def0-234567890123",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "alert": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "alertState": "d4e5f6a7-b8c9-0123-def0-234567890123"
    },
    {
      "_id": "376d24e1-28fe-11f1-b591-3fdcef396aba",
      "alertId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "alertStateId": "d4e5f6a7-b8c9-0123-def0-234567890123",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "alert": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "alertState": "d4e5f6a7-b8c9-0123-def0-234567890123"
    }
  ]
}
GETorPOST/api/alert-state-timeline/:id/get-item

Get item by ID

This endpoint allows you to retrieve Alert State Timeline by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/alert-state-timeline/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "alertId": true,
    "alertStateId": true,
    "projectId": true,
    "alert": true,
    "alertState": true
  }
}

Response

{
  "_id": "376cfdd3-28fe-11f1-b591-3fdcef396aba",
  "alertId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  "alertStateId": "d4e5f6a7-b8c9-0123-def0-234567890123",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "alert": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  "alertState": "d4e5f6a7-b8c9-0123-def0-234567890123"
}
POST/api/alert-state-timeline/count

Count

This endpoint allows you to retrieve the count of all your Alert State Timeline.

Optional Request Body

Count Request

POST
/api/alert-state-timeline/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {}
}

Response

{
  "count": 107
}
POST/api/alert-state-timeline

Create Alert State Timeline

This endpoint allows you to create a new object.

Create Request

POST
/api/alert-state-timeline
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "alertId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "alertStateId": "d4e5f6a7-b8c9-0123-def0-234567890123",
    "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
    "alert": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "alertState": "d4e5f6a7-b8c9-0123-def0-234567890123"
  }
}

Response

{
  "_id": "376cfdd3-28fe-11f1-b591-3fdcef396aba",
  "alertId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  "alertStateId": "d4e5f6a7-b8c9-0123-def0-234567890123",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "alert": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  "alertState": "d4e5f6a7-b8c9-0123-def0-234567890123"
}
PUT/api/alert-state-timeline/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/alert-state-timeline/:id/update-item
GET/api/alert-state-timeline/:id/update-item

Update Request

PUT
/api/alert-state-timeline/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "alertStateId": "d4e5f6a7-b8c9-0123-def0-234567890123",
    "alertState": "d4e5f6a7-b8c9-0123-def0-234567890123"
  }
}

Response

{}
DELETE/api/alert-state-timeline/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/alert-state-timeline/:id/delete-item
GET/api/alert-state-timeline/:id/delete-item

Delete Request

DELETE
/api/alert-state-timeline/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read Alert State Timeline

  • Project Owner
  • Project Admin
  • Project Member
  • Read Alert State Timeline
  • Read All Project Resources

Create Permissions

Required to create Alert State Timeline

  • Project Owner
  • Project Admin
  • Project Member
  • Create Alert State Timeline

Update Permissions

Required to update Alert State Timeline

  • Project Owner
  • Project Admin
  • Project Member
  • Edit Alert State Timeline

Delete Permissions

Required to delete Alert State Timeline

  • Project Owner
  • Project Admin
  • Project Member
  • Delete Alert State Timeline